#!/bin/bash

# из исходников в аркадии arcadia/saas/protos

echo "Clean protos"
rm -rf protos
mkdir protos

echo "Export rtyserver.proto"
svn export svn+ssh://arcadia.yandex.ru/arc/branches/ys.2011.07/arcadia/saas/protos/rtyserver.proto protos/rtyserver.proto

echo "Generate python_out"
protoc --proto_path=protos --python_out=protos protos/rtyserver.proto

cp protos/rtyserver_pb2.py .
svn diff rtyserver_pb2.py | vim -
